Kontrol S-series mk3 macOS

Options
LPJ
LPJ Member Posts: 2 Newcomer

Can these controllers only run on newer macOS 12 & 13 ?

Best Answer

  • ALDREAD
    ALDREAD Member Posts: 58 Helper
    Answer ✓
    Options

    Yes it seems that way

    • Intel Core i5, Apple M1 (and equivalent or higher)
    • macOS 13 (Ventura) or higher (*compatible with macOS 12 in MIDI 1.0 mode)


Answers

  • ALDREAD
    ALDREAD Member Posts: 58 Helper
    Answer ✓
    Options

    Yes it seems that way

    • Intel Core i5, Apple M1 (and equivalent or higher)
    • macOS 13 (Ventura) or higher (*compatible with macOS 12 in MIDI 1.0 mode)


  • LPJ
    LPJ Member Posts: 2 Newcomer
    Options

    Hi Aldread

    Thank you vey much for your reply.

    Yes I saw the same in System Requirements and was surprised that no older macOS is supported.

    A significant jump from 10.15 Catalina to at least MacOS 12 on my older iMac 2017

    But the S-series MK3 looks very promising, so maybe….

    All the best Lasse

Back To Top